varying vec2 	texcoord;
varying vec2	VPOS;
varying vec4	curpos;

void main()
{
	gl_Position = ftransform();
	texcoord = gl_MultiTexCoord0.st;
	VPOS=gl_Color.xy/gl_Color.z;
	curpos=gl_Position;//vec2(texcoord.x*2.0-1.0, texcoord.y*2.0-1.0);
}